Network.HTTP.Media

# Media types

data MediaType

(//)

(/:)

mainType

subType

parameters

(/?)

(/.)

# Languages

data Language

toParts

# Accept matching

matchAccept

mapAccept

mapAcceptMedia

mapAcceptLanguage

mapAcceptBytes

# Content matching

matchContent

mapContent

mapContentMedia

mapContentLanguage

# Quality values

data Quality a

quality

maxQuality

minQuality

parseQuality

matchQuality

mapQuality

# Accept

class Accept a

# Rendering

class RenderHeader h